Bug 1127948 - [abrt] gimp: strcmp(): gimp-2.8 killed by SIGSEGV
Summary: [abrt] gimp: strcmp(): gimp-2.8 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gimp
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:557da36c1394f6a779884ff0575...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 00:10 UTC by Lacrocivious Acrophosist
Modified: 2015-06-29 21:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:58:18 UTC


Attachments (Terms of Use)
File: backtrace (101.43 KB, text/plain)
2014-08-08 00:10 UTC, Lacrocivious Acrophosist
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-08 00:10 UTC, Lacrocivious Acrophosist
no flags Details
File: core_backtrace (25.39 KB, text/plain)
2014-08-08 00:10 UTC, Lacrocivious Acrophosist
no flags Details
File: dso_list (9.90 KB, text/plain)
2014-08-08 00:10 UTC, Lacrocivious Acrophosist
no flags Details
File: environ (1.89 KB, text/plain)
2014-08-08 00:10 UTC, Lacrocivious Acrophosist
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-08 00:10 UTC, Lacrocivious Acrophosist
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-08 00:10 UTC, Lacrocivious Acrophosist
no flags Details
File: maps (74.05 KB, text/plain)
2014-08-08 00:10 UTC, Lacrocivious Acrophosist
no flags Details
File: open_fds (1.93 KB, text/plain)
2014-08-08 00:10 UTC, Lacrocivious Acrophosist
no flags Details
File: proc_pid_status (951 bytes, text/plain)
2014-08-08 00:10 UTC, Lacrocivious Acrophosist
no flags Details
File: var_log_messages (321 bytes, text/plain)
2014-08-08 00:10 UTC, Lacrocivious Acrophosist
no flags Details

Description Lacrocivious Acrophosist 2014-08-08 00:10:23 UTC
Description of problem:
Whenever I load a succession of camera-retrieved large .jpg images, crop and scale a portion of them, and export them to .png, eventually GIMP crashes or hangs the system, apparently running out of memory in an 16GB system. I can expect this as early as the third image, or as late as the fifth, but rarely longer. In this instance, GIMP hung at the point where I would have seen the export dialog, and eventually -- after about 10 minutes -- it killed the X session. It was not necessary to reboot, and daemons were not affected.

Note that in the case of each loaded image original, once I select a portion to crop and paste into a new image, I always close the original using 'Discard without Saving'; I mention this in case it may be relevant to the OOM issue. The swapfile is 8GB. The /boot, /, and /home filesystems are all ext4 with full filesystem dm-luks encryption, on a Samsung 840 EVO 250GB SSD.



Version-Release number of selected component:
gimp-2.8.10-4.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gimp-2.8 /home/humpher/Pictures/2014-07-04/IMG_1809.JPG
crash_function: strcmp
executable:     /usr/bin/gimp-2.8
kernel:         3.15.7-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strcmp at ../sysdeps/x86_64/strcmp.S:209
 #1 g_str_equal at ghash.c:1706
 #2 g_hash_table_lookup_node at ghash.c:386
 #3 g_hash_table_lookup at ghash.c:1076
 #4 gimp_filename_to_utf8 at gimputils.c:225
 #5 gimp_eek at errors.c:182
 #6 gimp_terminate at errors.c:142
 #7 gimp_sigfatal_handler at signals.c:89
 #9 poll at ../sysdeps/unix/syscall-template.S:81
 #10 g_main_context_poll at gmain.c:4007

Comment 1 Lacrocivious Acrophosist 2014-08-08 00:10:31 UTC
Created attachment 925027 [details]
File: backtrace

Comment 2 Lacrocivious Acrophosist 2014-08-08 00:10:32 UTC
Created attachment 925028 [details]
File: cgroup

Comment 3 Lacrocivious Acrophosist 2014-08-08 00:10:34 UTC
Created attachment 925029 [details]
File: core_backtrace

Comment 4 Lacrocivious Acrophosist 2014-08-08 00:10:35 UTC
Created attachment 925030 [details]
File: dso_list

Comment 5 Lacrocivious Acrophosist 2014-08-08 00:10:36 UTC
Created attachment 925031 [details]
File: environ

Comment 6 Lacrocivious Acrophosist 2014-08-08 00:10:37 UTC
Created attachment 925032 [details]
File: exploitable

Comment 7 Lacrocivious Acrophosist 2014-08-08 00:10:39 UTC
Created attachment 925033 [details]
File: limits

Comment 8 Lacrocivious Acrophosist 2014-08-08 00:10:44 UTC
Created attachment 925034 [details]
File: maps

Comment 9 Lacrocivious Acrophosist 2014-08-08 00:10:45 UTC
Created attachment 925035 [details]
File: open_fds

Comment 10 Lacrocivious Acrophosist 2014-08-08 00:10:46 UTC
Created attachment 925036 [details]
File: proc_pid_status

Comment 11 Lacrocivious Acrophosist 2014-08-08 00:10:47 UTC
Created attachment 925037 [details]
File: var_log_messages

Comment 12 Nils Philippsen 2014-08-08 10:02:46 UTC
You mention large JPEG Images, how large are they?

Have you customized memory environment settings (Edit/Preferences -> Environment)? Please attach your ~/.gimp-2.8/gimprc. Thanks!

Comment 13 Lacrocivious Acrophosist 2014-08-08 21:02:09 UTC
The 'large' original (source) JPEG images are all 1.0 MiB to 4.0 MiB.

The Environment dialog settings are all defaults except for undo which is 10.

Resource Consumption

  Minimal number of undo levels: 10
  Maximum undo memory: 64 Megabytes
  Tile cache size: 8193366 Kilobytes
  Maximum new image size: 128 Megabytes
  Number of processors to use: 8

Image Thumbnails

  Size of thumbnails: Normal (128x128)
  Maximum filesize for thumbnailing: 4 Megabytes

Saving Images

  _X_ Confirm closing of unsaved images

Document History

  _X_ Keep record of used files in the Recent Documents list

_________________________

# GIMP gimprc
# 
# This is your personal gimprc file.  Any variable defined in this file takes
# precedence over the value defined in the system-wide gimprc:
# /etc/gimp/2.0/gimprc
# Most values can be set within GIMP by changing some options in the
# Preferences dialog.

(undo-levels 10)


# end of gimprc

Comment 14 Fedora End Of Life 2015-05-29 12:34:58 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-06-29 21:58:18 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.